> ## Documentation Index
> Fetch the complete documentation index at: https://gcore.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# List client's apps

> Retrieve a paginated list of applications owned by the authenticated client.
Results can be filtered by name, API type, status, template, binary, or plan, and sorted by various fields.



## OpenAPI

````yaml /api-reference/services_documented/fastedge_api.yaml get /fastedge/v1/apps
openapi: 3.1.0
info:
  title: Gcore OpenAPI – FastEdge API
  description: >-
    This OpenAPI is an aggregated OpenAPI specification that unifies all Gcore
    products into a single file. It covers Cloud, CDN, DNS, WAAP, DDoS
    Protection, Object Storage, Streaming, and FastEdge services.
  version: '2026-05-15T06:37:28.230198+00:00'
servers:
  - url: https://api.gcore.com
security:
  - APIKey: []
tags:
  - description: Application templates
    name: FastEdge Templates
    x-displayName: Templates
  - description: Client-level settings and limits
    name: FastEdge Clients
    x-displayName: Clients
  - description: >-
      Apps are descriptions of edge apps, that reference the binary and may
      contain app-specific settings, such as environment variables.
    name: Apps
    x-displayName: Apps
  - description: >-
      Binaries are WebAssembly executables that are actually executed when app
      is ran.
    name: Binaries
    x-displayName: Binaries
  - description: Statistics of edge app use
    name: Stats
    x-displayName: Stats
  - description: Secret values that can be used in apps
    name: FastEdge Secrets
    x-displayName: Secrets
  - description: Key-value edge storage for apps
    name: Edge Storage
    x-displayName: Edge Storage
paths:
  /fastedge/v1/apps:
    get:
      tags:
        - Apps
      summary: List client's apps
      description: >-
        Retrieve a paginated list of applications owned by the authenticated
        client.

        Results can be filtered by name, API type, status, template, binary, or
        plan, and sorted by various fields.
      operationId: listApps
      parameters:
        - description: Filter by application name (case-insensitive partial match)
          in: query
          name: name
          required: false
          schema:
            maxLength: 255
            minLength: 1
            type: string
        - description: |-
            API type:  
            wasi-http - WASI with HTTP entry point  
            proxy-wasm - Proxy-Wasm app, callable from CDN
          example: wasi-http
          in: query
          name: api_type
          required: false
          schema:
            enum:
              - wasi-http
              - proxy-wasm
            type: string
        - description: |-
            Status code:  
            0 - draft (inactive)  
            1 - enabled  
            2 - disabled  
            3 - hourly call limit exceeded  
            4 - daily call limit exceeded  
            5 - suspended
          example: 1
          in: query
          name: status
          required: false
          schema:
            maximum: 5
            minimum: 0
            type: integer
        - description: Filter by template ID (shows apps created from this template)
          in: query
          name: template
          required: false
          schema:
            format: int64
            minimum: 1
            type: integer
        - description: Filter by binary ID (shows apps using this binary)
          in: query
          name: binary
          required: false
          schema:
            format: int64
            minimum: 1
            type: integer
        - description: Filter by plan ID
          in: query
          name: plan
          required: false
          schema:
            format: int64
            minimum: 1
            type: integer
        - description: Maximum number of results to return
          example: 50
          in: query
          name: limit
          required: false
          schema:
            maximum: 1000
            minimum: 1
            type: integer
        - description: Number of results to skip for pagination
          example: 0
          in: query
          name: offset
          required: false
          schema:
            default: 0
            minimum: 0
            type: integer
        - description: >-
            Sort order. Use - prefix for descending (e.g., -name sorts by name
            descending)
          example: id
          in: query
          name: ordering
          schema:
            enum:
              - name
              - '-name'
              - status
              - '-status'
              - id
              - '-id'
              - template
              - '-template'
              - binary
              - '-binary'
              - plan
              - '-plan'
            type: string
      responses:
        '200':
          content:
            application/json:
              schema:
                properties:
                  apps:
                    items:
                      $ref: '#/components/schemas/app_short'
                    type: array
                  count:
                    description: Total number of apps
                    type: integer
                required:
                  - apps
                type: object
          description: >-
            Returns paginated list of client applications with optional filters
            applied
        '400':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/error'
          description: Bad request
        '404':
          description: Requested resource not found
      x-codeSamples:
        - lang: Python
          source: |-
            import os
            from gcore import Gcore

            client = Gcore(
                api_key=os.environ.get("GCORE_API_KEY"),  # This is the default and can be omitted
            )
            page = client.fastedge.apps.list()
            page = page.apps[0]
            print(page.id)
        - lang: Go
          source: "package main\n\nimport (\n\t\"context\"\n\t\"fmt\"\n\n\t\"github.com/G-Core/gcore-go\"\n\t\"github.com/G-Core/gcore-go/fastedge\"\n\t\"github.com/G-Core/gcore-go/option\"\n)\n\nfunc main() {\n\tclient := gcore.NewClient(\n\t\toption.WithAPIKey(\"My API Key\"),\n\t)\n\tpage, err := client.Fastedge.Apps.List(context.TODO(), fastedge.AppListParams{})\n\tif err != nil {\n\t\tpanic(err.Error())\n\t}\n\tfmt.Printf(\"%+v\\n\", page)\n}\n"
components:
  schemas:
    app_short:
      required:
        - id
        - name
        - status
        - binary
        - api_type
        - plan_id
      type: object
      properties:
        id:
          type: integer
          format: int64
          description: App ID
          minimum: 1
        name:
          type: string
          description: App name
        url:
          type: string
          description: App URL
        status:
          type: integer
          description: |-
            Status code:  
            0 - draft (inactive)  
            1 - enabled  
            2 - disabled  
            3 - hourly call limit exceeded  
            4 - daily call limit exceeded  
            5 - suspended
        binary:
          type: integer
          format: int64
          description: Binary ID
        comment:
          type: string
          description: Description of the binary
        api_type:
          type: string
          description: Wasm API type
        debug_until:
          type: string
          format: date-time
          description: When debugging finishes
        debug:
          default: false
          description: Switch on logging for 30 minutes (switched off by default)
          type: boolean
          writeOnly: true
        template:
          type: integer
          format: int64
          description: Template ID
        template_name:
          type: string
          description: Template name
        networks:
          description: Networks
          type: array
          items:
            type: string
        upgradeable_to:
          type: integer
          format: int64
          description: ID of the binary the app can be upgraded to
        plan_id:
          type: integer
          format: int64
          description: Application plan ID
        plan:
          type: string
          description: Application plan name
    error:
      type: object
      required:
        - error
      properties:
        error:
          type: string
          description: Error message
  securitySchemes:
    APIKey:
      description: >-
        API key for authentication. Make sure to include the word `apikey`,
        followed by a single space and then your token.

        Example: `apikey 1234$abcdef`
      type: apiKey
      in: header
      name: Authorization

````